> For the complete documentation index, see [llms.txt](https://docs.hydromancer.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hydromancer.xyz/readme/rest-api/outcomes/outcomemeta.md).

# outcomeMeta

Get metadata for all registered prediction market outcomes.

Returns metadata for all registered prediction market outcomes. This request returns currently active outcomes with their descriptions and side specifications.

## POST Request

<table><thead><tr><th width="161">Field</th><th width="119">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>type</code></td><td>string</td><td>Must be <code>"outcomeMeta"</code></td></tr><tr><td><code>venue</code></td><td>string</td><td>Only outcomes deployed by this permissionless venue, e.g. <code>"skew"</code>. 2–4 ASCII letters, case-insensitive; a venue not present in <code>deployers</code> returns <code>400</code> (optional)</td></tr><tr><td><code>deployedBy</code></td><td>string</td><td><code>"all"</code> (default), <code>"validator"</code> (registered by validator quorum, no venue), or <code>"venue"</code> (any permissionless venue) (optional)</td></tr></tbody></table>

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.hydromancer.xyz/info \
  -H "Authorization: Bearer $HYDROMANCER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "outcomeMeta"
  }'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os

response = requests.post(
    'https://api.hydromancer.xyz/info',
    json={
        'type': 'outcomeMeta'
    },
    headers={
        'Authorization': f'Bearer {os.environ.get("HYDROMANCER_API_KEY")}',
        'Content-Type': 'application/json'
    }
)

print(response.json())
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
import axios from 'axios';

try {
    const response = await axios.post('https://api.hydromancer.xyz/info', {
        type: 'outcomeMeta'
    }, {
        headers: {
            'Authorization': `Bearer ${process.env.HYDROMANCER_API_KEY}`,
            'Content-Type': 'application/json'
        }
    });

    console.log(response.data);
} catch (error) {
    console.error('Error:', error.message);
}
```

{% endtab %}
{% endtabs %}

Only outcomes deployed by the `skew` venue, then only validator-deployed outcomes:

```bash
curl -X POST https://api.hydromancer.xyz/info \
  -H "Authorization: Bearer $HYDROMANCER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"type": "outcomeMeta", "venue": "skew"}'

curl -X POST https://api.hydromancer.xyz/info \
  -H "Authorization: Bearer $HYDROMANCER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"type": "outcomeMeta", "deployedBy": "validator"}'
```

***

## Response Fields

| Field                              | Type    | Description                                                                                                                 |
| ---------------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------- |
| `outcomes`                         | array   | List of registered outcome entries                                                                                          |
| `outcomes[].outcome`               | integer | The outcome ID                                                                                                              |
| `outcomes[].name`                  | string  | Outcome name                                                                                                                |
| `outcomes[].description`           | string  | Description or pipe-delimited metadata (e.g. \`"class:priceBinary                                                           |
| `outcomes[].sideSpecs`             | array   | Side specifications with name for each side                                                                                 |
| `outcomes[].sideSpecs[].name`      | string  | Name of the side (e.g. `"Yes"`, `"No"`, `"Hypurr"`)                                                                         |
| `outcomes[].venue`                 | string? | Permissionless venue that deployed this outcome. **Absent** (not null) on validator-deployed outcomes                       |
| `outcomes[].quoteToken`            | string? | Quote token **name** (e.g. `"USDC"`), not the numeric index — resolve via [spotMeta](/readme/rest-api/metadata/spotmeta.md) |
| `outcomes[].deployerFeeScale`      | string? | Deployer-fee multiplier. Absent at the default of `1`; absence means the default, not unknown                               |
| `feeScale`                         | string? | Chain-wide default fee scale that each outcome's `deployerFeeScale` overrides                                               |
| `deployers`                        | array   | Registered permissionless deployers, one entry per venue                                                                    |
| `deployers[].deployer`             | string  | Deployer address that claimed the venue                                                                                     |
| `deployers[].venue`                | string  | Venue name, as it appears in `outcomes[].venue`                                                                             |
| `deployers[].subDeployers`         | array   | Addresses the deployer has delegated actions to, with the action variants each may perform                                  |
| `questions`                        | array   | List of multi-outcome questions                                                                                             |
| `questions[].question`             | integer | The question ID                                                                                                             |
| `questions[].name`                 | string  | Question text                                                                                                               |
| `questions[].description`          | string  | Question description                                                                                                        |
| `questions[].fallbackOutcome`      | integer | Outcome ID used as fallback                                                                                                 |
| `questions[].namedOutcomes`        | array   | List of outcome IDs that are part of this question                                                                          |
| `questions[].settledNamedOutcomes` | array   | List of outcome IDs that have been settled                                                                                  |

<details>

<summary>Response</summary>

```json
{
  "outcomes": [
    {
      "outcome": 9,
      "name": "Who will win the HL 100 meter dash?",
      "description": "This race is yet to be scheduled.",
      "sideSpecs": [
        { "name": "Hypurr" },
        { "name": "Usain Bolt" }
      ]
    },
    {
      "outcome": 3151,
      "name": "Recurring",
      "description": "class:priceBinary|underlying:HYPE|expiry:20260404-1145|targetPrice:38|period:15m",
      "sideSpecs": [
        { "name": "Yes" },
        { "name": "No" }
      ],
      "venue": "skew",
      "quoteToken": "USDC",
      "deployerFeeScale": "10"
    }
  ],
  "questions": [
    {
      "question": 1,
      "name": "What will Hypurr eat the most of in Feb 2026?",
      "description": "Hypurr has committed to weighing and recording daily food intake in a food journal.",
      "fallbackOutcome": 13,
      "namedOutcomes": [10, 11, 12],
      "settledNamedOutcomes": []
    }
  ],
  "deployers": [
    {
      "deployer": "0xb48c1a1ac675dcaa294ca7831eb729622c487671",
      "venue": "skew",
      "subDeployers": []
    }
  ],
  "feeScale": "1"
}
```

</details>
